"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const store_1 = require("./store");
const actions_1 = require("./actions");
function setTitle(state, action) {
    return Object.assign({}, state, { develop: Object.assign({}, state.develop, { title: action.title }) });
}
function loadSuccess(state, action) {
    return Object.assign({}, state, { root: Object.assign({}, state.root, { hostChannelId: action.hostChannelId }), develop: Object.assign({}, state.develop, { status: store_1.DevelopStatus.READY }) });
}
function setView(state, action) {
    return Object.assign({}, state, { app: Object.assign({}, state.app, { runtime: Object.assign({}, state.app.runtime, { navigation: Object.assign({}, state.app.runtime.navigation, { view: action.view }) }) }), develop: Object.assign({}, state.develop, { view: action.view }) });
}
const reducer = (state, action) => {
    if (!state) {
        return state;
    }
    switch (action.type) {
        case actions_1.DevelopActionType.DEVELOP_SET_TITLE:
            return setTitle(state, action);
        case actions_1.DevelopActionType.DEVELOP_LOAD_SUCCESS:
            return loadSuccess(state, action);
        case actions_1.DevelopActionType.DEVELOP_SET_VIEW:
            return setView(state, action);
        default:
            return;
    }
};
exports.default = reducer;
//# sourceMappingURL=reducers.js.map